<?php echo $header; ?>
<section class="main-container col2-left-layout">
    <article class="col-main">
      <?php echo $breadcrumbs; ?>
        <div class="page-title">
            <h2 class="font-family-header"><?php echo $heading_title; ?></h2>
        </div>
        <ol class="one-page-checkout" id="checkoutSteps">
            <li id="opc-billing" class="section allow active custom_login_input_box">
                <div class="step-title">
                    <p><?php echo $text_description; ?></p>
                </div>
                <div id="checkout-step-billing" class="step a-item custom_class" style="">
                      <div id="content"><?php echo $content_top; ?>


  <p><?php echo $text_code; ?><br />
    <textarea cols="40" rows="5"><?php echo $code; ?></textarea>
  </p>
  <p><?php echo $text_generator; ?><br />
    <input type="text" name="product" value="" />
  </p>
  <p><?php echo $text_link; ?><br />
    <textarea name="link" cols="40" rows="5"></textarea>
  </p>
     <div class="buttons">
   <a href="<?php echo $continue; ?>" class="button btn-continue"><span><?php echo $button_continue; ?></span></a>

    </div>

 </div>
                </div>
            </li>

        </ol>
    </article>
    <!--	///*///======    End Col Main  ========= //*/// -->
    <aside class="col-right sidebar">
        <?php echo $column_right; ?>
    </aside>

</section>





<script type="text/javascript">
window.waitEvent('scripts_document', function() {
  $('input[name=\'product\']').autocomplete({
    delay: 500,
    source: function(request, response) {
      $.ajax({
        url: 'index.php?route=affiliate/tracking/autocomplete&filter_name=' +  encodeURIComponent(request.term),
        dataType: 'json',
        success: function(json) {
          response($.map(json, function(item) {
            return {
              label: item.name,
              value: item.link
            }
          }));
        }
      });
    },
    select: function(event, ui) {
      $('input[name=\'product\']').attr('value', ui.item.label);
      $('textarea[name=\'link\']').attr('value', ui.item.value);

      return false;
    },
    focus: function(event, ui) {
        return false;
    }
  });
});
</script>
<?php echo $footer; ?>
